# Comments

> Comments in API v3.

- [List product comments](https://cademi.dev/api/reference/comments/products.comments.list.md): `GET /products/{product_id}/comments`
- [Retrieve a comment](https://cademi.dev/api/reference/comments/comments.get.md): `GET /products/{product_id}/comments/{comment_id}`
- [Update a comment](https://cademi.dev/api/reference/comments/comments.update.md): `PATCH /products/{product_id}/comments/{comment_id}`
- [Delete a comment](https://cademi.dev/api/reference/comments/comments.delete.md): `DELETE /products/{product_id}/comments/{comment_id}`
- [List comment replies](https://cademi.dev/api/reference/comments/comments.replies.list.md): `GET /products/{product_id}/comments/{comment_id}/replies`
- [Create a comment reply](https://cademi.dev/api/reference/comments/comments.replies.create.md): `POST /products/{product_id}/comments/{comment_id}/replies`
- [Update a comment reply](https://cademi.dev/api/reference/comments/comments.replies.update.md): `PATCH /products/{product_id}/comments/{comment_id}/replies/{reply_id}`
- [Delete a comment reply](https://cademi.dev/api/reference/comments/comments.replies.delete.md): `DELETE /products/{product_id}/comments/{comment_id}/replies/{reply_id}`
- [List comments for moderation](https://cademi.dev/api/reference/comments/comments.list.md): `GET /support/comments`
